<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_transizroutes
 *
 * @copyright   Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

// No direct access to this file
defined('_JEXEC') or die;

JFormHelper::loadFieldClass('list');

/**
 * TransizRoutes Form Field class for the TransizRoutes component
 *
 * @since  0.0.1
 */
class JFormFieldTransizRoutes extends JFormFieldList
{
	/**
	 * The field type.
	 *
	 * @var         string
	 */
	protected $type = 'TransizRoutes';

	/**
	 * Method to get a list of options for a list input.
	 *
	 * @return  array  An array of JHtml options.
	 */
	protected function getOptions()
	{
		$db    = JFactory::getDBO();
		$query = $db->getQuery(true);
		$query->select('id,name,title,company,display,theme,width,height');
		$query->from('#__transizroutes');
		$db->setQuery((string) $query);
		$messages = $db->loadObjectList();
		$options  = array();

		if ($messages)
		{
			foreach ($messages as $message)
			{
				$options[] = JHtml::_('select.option', $message->id, $message->name);
			}
		}

		$options = array_merge(parent::getOptions(), $options);

		return $options;
	}
}
